<?php

namespace itguild\forms\app\controllers;

use itguild\forms\ActiveForm;
use itguild\forms\app\core\BaseController;
use itguild\forms\app\models\FormModel;
use itguild\forms\core\cg_view\CgView;

class AdminController extends BaseController
{

    public string $html;

    public function createAction(): void
    {
        $view = new CgView();

        $view->viewPath = VIEW_PATH;
        $view->layout = "/layouts/admin_layout.php";

        $view->render("/admin/index.php", ['title' => "Создать форму", 'form' => new ActiveForm()]);

    }
    public function saveForm()
    {
        $title = $_POST["title"];
        $params = $_POST["params"];
        if (isset($title) and isset($params)) {
            $form = FormModel::Create(['title' => $title, 'status' => FormModel::STATUS_ACTIVE, 'params' => $params]);
            echo "Форма сохранена!";
        }
    }



}